#!/bin/sh
UID="$1"
FILE="tmp/$UID/document.ms"
OUT="tmp/$UID.pdf"

# Configuration

SOELIM="/usr/bin/soelim"     # soelim PATH
REFER="/usr/bin/refer"       # refer PATH
GROFF="/usr/bin/groff"       # groff PATH
PRE="-ketpG"                 # Preprocessors

BIB="bibliography" # Bibliography file
MAC="macros"       # Macros dir

sed "
s/Á/\\\['A\]/g;
s/É/\\\['E\]/g;
s/Í/\\\['I\]/g;
s/Ó/\\\['O\]/g;
s/Ú/\\\['U\]/g;
s/á/\\\['a\]/g;
s/é/\\\['e\]/g;
s/í/\\\['i\]/g;
s/ó/\\\['o\]/g;
s/ú/\\\['u\]/g;
" "$FILE" |
    "$SOELIM" -I "$MAC" | "$REFER" -p "$BIB" | "$GROFF" -mspdf -T pdf -U "$PRE" > "$OUT"
